#
# spec file for package octave (Version 2.0.16)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  f2c g77 gnuplot gpp libgpp termcap tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gnuplot gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex termcap tetex texinfo textutils timezone unzip util-linux vim

Name:         octave
%define hosttype %{_target_cpu}-suse-linux
Copyright:    1992, 1993, 1994, 1995 John W. Eaton
Group:        Applications/Math
Provides:     matlab4 octave 
Autoreqprov:  on
Version:      2.0.16
Release:      255
Summary:      A high level programming language
Source:       %{name}-%{version}.tar.bz2
Patch: 	      %{name}-%{version}.dif
BuildRoot:    /tmp/%{name}-%{version}-build

%description
Octave is a high level programming language. It's designed for the solution
of numeric problems. There is a command line interface supplied.

Authors:
--------
    John W. Eaton <jwe@bevo.che.wisc.edu>

SuSE series: ap

%prep
%setup
%patch -p1
CFLAGS="-D_GNU_SOURCE" CXXFLAGS="-D_GNU_SOURCE" \
	./configure --prefix=/usr \
	--exec-prefix=/usr --enable-shared \
	--libexecdir=/usr/lib \
	--infodir=%{_infodir} --mandir=%{_mandir} \
	--enable-lite-kernel --host=%{hosttype}

%build
echo Building octave for %{hosttype}...
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT
chmod +x destdirinstall
make install "INSTALL=`pwd`/destdirinstall" \
	"RANLIB=`pwd`/destdirinstall -runlib" \
	DESTDIR=$RPM_BUILD_ROOT
install doc/faq/*.info $RPM_BUILD_ROOT%{_infodir}
install doc/liboctave/*.info $RPM_BUILD_ROOT%{_infodir}
install doc/liboctave/*.info-? $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/faq/Octave-FAQ.{dvi,ps} doc/interpreter/octave.{dvi,ps}
%doc doc/liboctave/liboctave.{dvi,ps} doc/refcard/refcard-a4.{dvi,ps}
/usr/bin/*
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*.gz
/usr/include/*
/usr/lib/*
/usr/share/octave/

%changelog -n octave
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot
- /usr/execlib/octave moved to /usr/lib/octave according to FHS 2.1
* Mon Feb 21 2000 - ro@suse.de
- update to 2.0.16
* Tue Jan 25 2000 - ro@suse.de
- update to 2.0.15
- man,info to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - ro@suse.de
- update to 2.0.14
* Thu May 20 1999 - ro@suse.de
- use CFLAGS="-D_GNU_SOURCE"
* Mon Nov 23 1998 - ro@suse.de
- update to 2.0.13 / builds with glibc
* Wed Oct 07 1998 - ro@suse.de
- BETA: added f2c to neededforbuild
* Wed Jan 28 1998 - ro@suse.de
- removed libhistory.so & libreadline.so as well and link static
  to these
* Mon Nov 17 1997 - bs@suse.de
- removed libhistory.a & libreadline.a from file list.
* Wed Nov 12 1997 - ro@suse.de
- minor changes in specfile
  setting host to ARCH-suse-linux
* Mon Nov 10 1997 - ro@suse.de
- new version 2.0.9
* Tue Oct 07 1997 - ro@suse.de
- prepared spec file
- added README-GCC-2.7.? patches
